Subject: Re: [3gv6] http://www.ietf.org/id/draft-koodli-ipv6-in-mobile-networks-00.txt

From: "Koodli, Rajeev" <[email-masked]>
Date: Thu, 18 Feb 2010 14:32:51 -0500

Hi David,

Thanks for your comment.

> -----Original Message-----
> From: David Crowe (CDG) [mailto:[email-masked]] 
> Sent: Thursday, February 18, 2010 9:01 AM
> To: [email-masked]
> Cc: Koodli, Rajeev; Fredrik Garneij
> Subject: Re: 
> http://www.ietf.org/id/draft-koodli-ipv6-in-mobile-networks-00.txt
> 
> Rajeev;
> 
> Why can existing smartphones not use IPv6? Is this due to 
> flaws in the client software or is this a network problem?
> 

By 'existing' I mean those being in use today. Many may have IPv6 stack,
but it has not been used/tested in an operational network. 
This can (should) change as new mobiles get introduced, and the network
itself is readied for IPv6, 

Regards,

-Rajeev

> Regards,
>      David Crowe
> 
> 
> >Hi Fredrik,
> >
> >>
> >>  Thanks for sharing.
> >
> >Thanks for reading.
> >
> >>
> >>  Some inital comments:
> >>
> >  > 
> http://www.ietf.org/id/draft-koodli-ipv6-in-mobile-networks-00.txt
> >>
> >>  In section 3.1
> >>  "Given that all the existing MNs are IPv4-only, IPv6 can only  be 
> >> introduced in the newer MNs, and such newer MNs still need  to be 
> >> able to access the (predominantly IPv4) Internet. "
> >>
> >>  About "all the existing MNs are IPv4-only" statement I 
> would  like 
> >> to hear Nokia's (roughly 50% market share in handsets)  
> view. In the 
> >> presentation at the Shanghai WS they claim "Most  S40 and Symbian 
> >> products contain IPv6 stack"
> >>  (http://ipv6ws.arkko.com/presentations/Nokia_NSN_IPv6Support_3
> >>  GPP_Produc
> >>  ts_Raj.ppt.pdf ).
> >
> >The intention here is not to state that the existing 
> Smartphones do not 
> >have IPv6, but those out there cannot use IPv6.
> >I will revise the text accordingly.
> >
> >Incidentally, I would not doubt that most S40/60 phones come up with 
> >IPv6. We have played with IPv6 on the phones when I was at Nokia! :-)
> >
> >
> >>  Raj, Teemu would you please comment?
> >>
> >>
> >>  In section 3.4
> >>  "A 'link' in fixed networks is generally capable of carrying IPv6 
> >> and
> >>  IPv4 traffic, whereas not all mobile networks have 'links'
> >>  (i.e., PDP/PDN connections) capable of supporting IPv6 and  IPv4; 
> >> indeed roaming makes this problem worse when a  "portion" 
> of the link 
> >> (i.e., the Home Network in Figure 1) is  capable of 
> supporting IPv6 
> >> and the other "portion" of the  link (i.e., the Visited Network in 
> >> Figure 1) is not."
> >>
> >>  3GPP TR 23.975 V0.3.1 claims SGSNs, which is the node  
> involved in 
> >> the vistied network, have the neccesary support  for 
> setting up and 
> >> maintain a IPv6 PDP context to the home  network. IPv6 PDP 
> type (IPv6 
> >> user plane) has been supported  in GGSNs and SGSNs since year 
> >> 2002-2003 if we look at the  major vendors in both roaming and 
> >> non-roaming scenario.
> >>
> >>  From TR 23.975:
> >>  "3GPP TR 23.981 [14] describes a scenario where old SGSNs do  not 
> >> support PDP type IPv6. Considering the fact that PDP type
> >>  IPv6 has been specified since R'97 and SGSNs shipped during  the 
> >> last couple of years have support for PDP type IPv6, the  
> assumption 
> >> is that all SGSNs support PDP type IPv6."
> >
> >It's great if all the deployed SGSNs already support IPv6 
> PDP context!
> >(It would be worthwhile to get some raw data.)
> >
> >However, the decision to 'turn-on' IPv6 is another matter 
> (cf. for the 
> >longest time, Windows OS came 'shipped' with IPv6, but not 
> enabled by 
> >default. It's another issue what folks could have done with default
> >enabled..) for an operator.
> >
> >> 
> >>  So there are IPv6 terminals and for mobile core nodes it 
> is  more of 
> >> a configuration effort than a need for  updates/upgrades 
> and speaking 
> >> from own experience IPv6  roaming works.
> >
> >Network upgrades may still be necessary to support the scale 
> of mobile 
> >Internet growth, hopefully a majority of which using IPv6 in the 
> >near-term.
> >
> >>  I would even argue that 3GPP mobile networks  may provide 
> one of the 
> >> fastest path to significant global real
> >>  IPv6 usage.... at least when I am having a good day.
> >
> >I think we are in agreement.
> >
> >Regards,
> >
> >-Rajeev
> >
> >
> >
> >>
> >>  ///fredrik :-)
> >>
> >>
> 
>

---

From: "Koodli, Rajeev" <[email-masked]>
Date: Fri, 19 Feb 2010 14:53:42 -0500

Yes, the stack could be turned on on phones which support IPv6 (the user
would have to enable it depending on the device).
 
Things may work fine for applications that use IPv6.

Then there are other considerations, such as what is the role of the
provider in using the stack which may not have been tested in the first
place, how to ensure that the stack behaves correctly, what kinds of
applications can actually make use of IPv6 on such existing phones (IPv6
on App Store anyone?), and so on..

Regards,

-Rajeev

> Sent: Friday, February 19, 2010 8:00 AM
> To: Koodli, Rajeev; [email-masked]
> Cc: Fredrik Garneij
> Subject: RE: 
> Is there any reason why these  stacks couldn't be turned on 
> if there was an IPv6 access network available? Is it as 
> simple as changing a preference in a handset control panel?
> 
> Regards,
>      David
> 
> 
> 
> At 2:32 PM -0500 2/18/10, Koodli, Rajeev wrote:
> >Hi David,
> >
> >Thanks for your comment.
> >
> >
>  flaws in 
> >> the client software or is this a network problem?
> >>
> >
> >By 'existing' I mean those being in use today. Many may have IPv6 
> >stack, but it has not been used/tested in an operational network.
> >>  >>  "Given that all the existing MNs are IPv4-only, IPv6 
> can only  
> >> be  >> introduced in the newer MNs, and such newer MNs 
> still need  to 
> >> be  >> able to access the (predominantly IPv4) Internet. "
> >>  >>
> >>  >>  About "all the existing MNs are IPv4-only" statement 
> I  would  
> >> like  >> to hear Nokia's (roughly 50% market share in handsets)  
> >> view. In the  >> presentation at the Shanghai WS they claim "Most  
> >> S40 and Symbian  >> products contain IPv6 stack"
> Smartphones 
> >> do not  >have IPv6, but those out there cannot use IPv6.
> >>  >Incidentally, I would not doubt that most S40/60 phones come up 
> >> with  >IPv6. We have played with IPv6 on the phones when I was at 
> >> Nokia! :-)  >  >  >>  Raj, Teemu would you please comment?
> >>  >>
> >>  >>
> >>  >>  In section 3.4
> >>  >>  "A 'link' in fixed networks is generally capable of carrying 
> >> IPv6  >> and  >>  IPv4 traffic, whereas not all mobile 
> networks have 
> >> 'links'
> >>  >>  (i.e., PDP/PDN connections) capable of supporting IPv6 and  
> >> IPv4;  >> indeed roaming makes this problem worse when a  "portion"
> >>  of the link
> supporting 
> >> IPv6  >> and the other "portion" of the  link (i.e., the Visited 
> >> Network in  >> Figure 1) is not."
> >>  >>
>  involved 
> >> in  >> the vistied network, have the neccesary support  
> for  setting 
> >> up and  >> maintain a IPv6 PDP context to the home  
> network. IPv6 PDP  
> >> type (IPv6  >> user plane) has been supported  in GGSNs and SGSNs 
> >> since year  >> 2002-2003 if we look at the  major vendors in both 
> >> roaming and  >> non-roaming scenario.
> >>  >>
> >>  >>  From TR 23.975:
> >>  >>  "3GPP TR 23.981 [14] describes a scenario where old SGSNs do  
> >> not  >> support PDP type IPv6. Considering the fact that 
> PDP type  >>  
> >> IPv6 has been specified since R'97 and SGSNs shipped 
> during  the  >> 
> >>  >It's great if all the deployed SGSNs already support IPv6  PDP 
> >> context!
> >>  >(It would be worthwhile to get some raw data.)  >  >However, the 
> >> decision to 'turn-on' IPv6 is another matter  (cf. for the 
>  >longest 
> >> time, Windows OS came 'shipped' with IPv6, but not  enabled by  
> >>  >> a configuration effort than a need for  updates/upgrades  and 
> >> speaking  >> from own experience IPv6  roaming works.
> >>  >
> >>  >Network upgrades may still be necessary to support the scale  of 
> >> mobile  >Internet growth, hopefully a majority of which 
> using IPv6 in 
> >> the  >near-term.
> >>  >
> >>  >>  I would even argue that 3GPP mobile networks  may 
> provide  one 
> >> of the  >> fastest path to significant global real  >>  IPv6 
> >> usage.... at least when I am having a good day.
> >>  >

---

From: "David Crowe (CDG)" <[email-masked]>
Date: Thu, 18 Feb 2010 10:01:29 -0700

Rajeev;

Why can existing smartphones not use IPv6? Is this due to flaws in 
the client software or is this a network problem?

Regards,
     David Crowe

>>  "Given that all the existing MNs are IPv4-only, IPv6 can only
>>  be introduced in the newer MNs, and such newer MNs still need
>>  to be able to access the (predominantly IPv4) Internet. "
>>
>>  About "all the existing MNs are IPv4-only" statement I would
>>  like to hear Nokia's (roughly 50% market share in handsets)
>>  view. In the presentation at the Shanghai WS they claim "Most
>>  S40 and Symbian products contain IPv6 stack"
>The intention here is not to state that the existing Smartphones do not
>>  "A 'link' in fixed networks is generally capable of carrying IPv6 and
>>  IPv4; indeed roaming makes this problem worse when a
>>  "portion" of the link (i.e., the Home Network in Figure 1) is
>>  capable of supporting IPv6 and the other "portion" of the
>>  link (i.e., the Visited Network in Figure 1) is not."
>>
>>  involved in the vistied network, have the neccesary support
>>  for setting up and maintain a IPv6 PDP context to the home
>>  network. IPv6 PDP type (IPv6 user plane) has been supported
>>  in GGSNs and SGSNs since year 2002-2003 if we look at the
>>  major vendors in both roaming and non-roaming scenario.
>>
>>  From TR 23.975:
>>  not support PDP type IPv6. Considering the fact that PDP type
>>  IPv6 has been specified since R'97 and SGSNs shipped during
>>  the last couple of years have support for PDP type IPv6, the
>>  assumption is that all SGSNs support PDP type IPv6."
>
>It's great if all the deployed SGSNs already support IPv6 PDP context!
>However, the decision to 'turn-on' IPv6 is another matter (cf. for the
>longest time, Windows OS came 'shipped' with IPv6, but not enabled by
>>  So there are IPv6 terminals and for mobile core nodes it is
>>  more of a configuration effort than a need for
>>  updates/upgrades and speaking from own experience IPv6
>>  roaming works.
>
>Network upgrades may still be necessary to support the scale of mobile
>>  I would even argue that 3GPP mobile networks
>>  may provide one of the fastest path to significant global real